import { z } from "zod";
export declare const UI_EXTENSION_HOST_UPDATE_CONTEXT_EVENT_TYPE = "NF::EUI_HOST::UPDATE_CONTEXT";
export declare const UIExtensionHostUpdateContextEventSchema: z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::UPDATE_CONTEXT">;
    data: z.ZodObject<{
        context: z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
                providerToken: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
                providerTokens: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    externalId: z.ZodString;
                    token: z.ZodString;
                    connectionId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }, {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            }>;
            user: z.ZodDefault<z.ZodObject<{
                id: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            }, "strip", z.ZodTypeAny, {
                id: string | null;
            }, {
                id?: string | null | undefined;
            }>>;
            configurationId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            dataLayerId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            projectId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            siteId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            teamId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            accountId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
            theme: z.ZodEnum<["light", "dark"]>;
            visualEditor: z.ZodObject<{
                webhookBaseURL: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
                projectId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
                notifyVisualEditor: z.ZodDefault<z.ZodNullable<z.ZodBoolean>>;
            }, "strip", z.ZodTypeAny, {
                webhookBaseURL: string | null;
                projectId: string | null;
                notifyVisualEditor: boolean | null;
            }, {
                webhookBaseURL?: string | null | undefined;
                projectId?: string | null | undefined;
                notifyVisualEditor?: boolean | null | undefined;
            }>;
            /**
             * The ID of the current deploy. This is only available when the extension surface is rendered in the context of a deploy. (e.g. Surfaces.SiteBuildDeploy)
             */
            deployId: z.ZodEffects<z.ZodDefault<z.ZodNullable<z.ZodString>>, string | null, string | null | undefined>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            visualEditor: {
                webhookBaseURL: string | null;
                projectId: string | null;
                notifyVisualEditor: boolean | null;
            };
            projectId: string | null;
            configurationId: string | null;
            dataLayerId: string | null;
            siteId: string | null;
            teamId: string | null;
            accountId: string | null;
            theme: "light" | "dark";
            deployId: string | null;
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            visualEditor: {
                webhookBaseURL?: string | null | undefined;
                projectId?: string | null | undefined;
                notifyVisualEditor?: boolean | null | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            projectId?: string | null | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
            accountId?: string | null | undefined;
            deployId?: string | null | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            visualEditor: {
                webhookBaseURL: string | null;
                projectId: string | null;
                notifyVisualEditor: boolean | null;
            };
            projectId: string | null;
            configurationId: string | null;
            dataLayerId: string | null;
            siteId: string | null;
            teamId: string | null;
            accountId: string | null;
            theme: "light" | "dark";
            deployId: string | null;
        };
    }, {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            visualEditor: {
                webhookBaseURL?: string | null | undefined;
                projectId?: string | null | undefined;
                notifyVisualEditor?: boolean | null | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            projectId?: string | null | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
            accountId?: string | null | undefined;
            deployId?: string | null | undefined;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            user: {
                id: string | null;
            };
            visualEditor: {
                webhookBaseURL: string | null;
                projectId: string | null;
                notifyVisualEditor: boolean | null;
            };
            projectId: string | null;
            configurationId: string | null;
            dataLayerId: string | null;
            siteId: string | null;
            teamId: string | null;
            accountId: string | null;
            theme: "light" | "dark";
            deployId: string | null;
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}, {
    data: {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            visualEditor: {
                webhookBaseURL?: string | null | undefined;
                projectId?: string | null | undefined;
                notifyVisualEditor?: boolean | null | undefined;
            };
            theme: "light" | "dark";
            user?: {
                id?: string | null | undefined;
            } | undefined;
            projectId?: string | null | undefined;
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
            accountId?: string | null | undefined;
            deployId?: string | null | undefined;
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}>;
export type UIExtensionHostUpdateContextEvent = z.output<typeof UIExtensionHostUpdateContextEventSchema>;
export declare const createUIExtensionHostUpdateContextEvent: (data: UIExtensionHostUpdateContextEvent["data"]) => UIExtensionHostUpdateContextEvent;
//# sourceMappingURL=update_context.d.ts.map